0

I'm installing MySQL server on Linux server following the instructions on this page. I used this version of yum : mysql-community-release-el6-5.noarch.rpm and the server OS version is 2.6.32-504.16.2.el6.x86_64

I used this command to start installing Mysql server

sudo yum install mysql-community-server 

the installation did not complete I got the following errors

> Finished Dependency Resolution
Error: Package: 2:postfix-2.6.6-6.el6_5.x86_64 (@anaconda-CentOS-201410241409.x8                                                                                                                                                             6_64/6.6)
           Requires: libmysqlclient.so.16()(64bit)
           Removing: mysql-libs-5.1.73-3.el6_5.x86_64 (@anaconda-CentOS-20141024                                                                                                                                                             1409.x86_64/6.6)
               libmysqlclient.so.16()(64bit)
           Obsoleted By: mysql-community-libs-5.6.26-2.el7.x86_64 (mysql56-commu                                                                                                                                                             nity)
               Not found
           Updated By: mysql-libs-5.1.73-5.el6_6.x86_64 (base)
               libmysqlclient.so.16()(64bit)
Error: Package: mysql-community-server-5.6.26-2.el7.x86_64 (mysql56-community)
           Requires: libstdc++.so.6(GLIBCXX_3.4.15)(64bit)
Error: Package: mysql-community-server-5.6.26-2.el7.x86_64 (mysql56-community)
           Requires: systemd
Error: Package: 2:postfix-2.6.6-6.el6_5.x86_64 (@anaconda-CentOS-201410241409.x8                                                                                                                                                             6_64/6.6)
           Requires: libmysqlclient.so.16(libmysqlclient_16)(64bit)
           Removing: mysql-libs-5.1.73-3.el6_5.x86_64 (@anaconda-CentOS-20141024                                                                                                                                                             1409.x86_64/6.6)
               libmysqlclient.so.16(libmysqlclient_16)(64bit)
           Obsoleted By: mysql-community-libs-5.6.26-2.el7.x86_64 (mysql56-commu                                                                                                                                                             nity)
               Not found
           Updated By: mysql-libs-5.1.73-5.el6_6.x86_64 (base)
               libmysqlclient.so.16(libmysqlclient_16)(64bit)

I tried using another yum version "mysql-community-release-el7-5.noarch.rpm" but the same error happened.

Also I checked the subrepositories in the MySQL Yum repository, to see which of them are enabled or disabled and mysql56-community is already enabled.

> mysql-connectors-community           MySQL Connectors Community       
> 14 mysql-tools-community                MySQL Tools Community         
> 21 mysql56-community                    MySQL 5.6 Community Server    
> 169

How to solve this issue and install Mysql server ?

Thanks,

  • 2
    You're running RHEL 6, but trying to install packages built for RHEL 7. That's not going to end well. Change the repo definition to use the RHEL 6 packages, and you'll have a much better time. – womble Sep 14 '15 at 5:55
  • thank you for your comment, I did uninstall the package that was for RHEL7 and installed the package for RHEL 6 and I still have the same previous error. I used this command to remove the RHEL package yum remove"package name". I know there is a compatibility problem but I could not find it out. – Abrial Sep 14 '15 at 7:53

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.